org.apache.pdfbox.contentstream.operator

## Class OperatorName

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorName

    public final class OperatorName
    extends Object

### Field Summary

Fields
`static String` `APPEND_RECT`
`static String` `BEGIN_COMPATIBILITY_SECTION`
`static String` `BEGIN_INLINE_IMAGE`
`static String` `BEGIN_INLINE_IMAGE_DATA`
`static String` `BEGIN_MARKED_CONTENT`
`static String` `BEGIN_MARKED_CONTENT_SEQ`
`static String` `BEGIN_TEXT`
`static String` `CLIP_EVEN_ODD`
`static String` `CLIP_NON_ZERO`
`static String` `CLOSE_AND_STROKE`
`static String` `CLOSE_FILL_EVEN_ODD_AND_STROKE`
`static String` `CLOSE_FILL_NON_ZERO_AND_STROKE`
`static String` `CLOSE_PATH`
`static String` `CONCAT`
`static String` `CURVE_TO`
`static String` `CURVE_TO_REPLICATE_FINAL_POINT`
`static String` `CURVE_TO_REPLICATE_INITIAL_POINT`
`static String` `DRAW_OBJECT`
`static String` `END_COMPATIBILITY_SECTION`
`static String` `END_INLINE_IMAGE`
`static String` `END_MARKED_CONTENT`
`static String` `END_TEXT`
`static String` `ENDPATH`
`static String` `FILL_EVEN_ODD`
`static String` `FILL_EVEN_ODD_AND_STROKE`
`static String` `FILL_NON_ZERO`
`static String` `FILL_NON_ZERO_AND_STROKE`
`static String` `LEGACY_FILL_NON_ZERO`
`static String` `LINE_TO`
`static String` `MARKED_CONTENT_POINT`
`static String` `MARKED_CONTENT_POINT_WITH_PROPS`
`static String` `MOVE_TEXT`
`static String` `MOVE_TEXT_SET_LEADING`
`static String` `MOVE_TO`
`static String` `NEXT_LINE`
`static String` `NON_STROKING_CMYK`
`static String` `NON_STROKING_COLOR`
`static String` `NON_STROKING_COLOR_N`
`static String` `NON_STROKING_COLORSPACE`
`static String` `NON_STROKING_GRAY`
`static String` `NON_STROKING_RGB`
`static String` `RESTORE`
`static String` `SAVE`
`static String` `SET_CHAR_SPACING`
`static String` `SET_FLATNESS`
`static String` `SET_FONT_AND_SIZE`
`static String` `SET_GRAPHICS_STATE_PARAMS`
`static String` `SET_LINE_CAPSTYLE`
`static String` `SET_LINE_DASHPATTERN`
`static String` `SET_LINE_JOINSTYLE`
`static String` `SET_LINE_MITERLIMIT`
`static String` `SET_LINE_WIDTH`
`static String` `SET_MATRIX`
`static String` `SET_RENDERINGINTENT`
`static String` `SET_TEXT_HORIZONTAL_SCALING`
`static String` `SET_TEXT_LEADING`
`static String` `SET_TEXT_RENDERINGMODE`
`static String` `SET_TEXT_RISE`
`static String` `SET_WORD_SPACING`
`static String` `SHADING_FILL`
`static String` `SHOW_TEXT`
`static String` `SHOW_TEXT_ADJUSTED`
`static String` `SHOW_TEXT_LINE`
`static String` `SHOW_TEXT_LINE_AND_SPACE`
`static String` `STROKE_PATH`
`static String` `STROKING_COLOR`
`static String` `STROKING_COLOR_CMYK`
`static String` `STROKING_COLOR_GRAY`
`static String` `STROKING_COLOR_N`
`static String` `STROKING_COLOR_RGB`
`static String` `STROKING_COLORSPACE`
`static String` `TYPE3_D0`
`static String` `TYPE3_D1`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NON_STROKING_COLOR

    public static final String NON_STROKING_COLOR

See Also:
  Constant Field Values

#### NON_STROKING_COLOR_N

    public static final String NON_STROKING_COLOR_N

See Also:
  Constant Field Values

#### NON_STROKING_RGB

    public static final String NON_STROKING_RGB

See Also:
  Constant Field Values

#### NON_STROKING_GRAY

    public static final String NON_STROKING_GRAY

See Also:
  Constant Field Values

#### NON_STROKING_CMYK

    public static final String NON_STROKING_CMYK

See Also:
  Constant Field Values

#### NON_STROKING_COLORSPACE

    public static final String NON_STROKING_COLORSPACE

See Also:
  Constant Field Values

#### STROKING_COLOR

    public static final String STROKING_COLOR

See Also:
  Constant Field Values

#### STROKING_COLOR_N

    public static final String STROKING_COLOR_N

See Also:
  Constant Field Values

#### STROKING_COLOR_RGB

    public static final String STROKING_COLOR_RGB

See Also:
  Constant Field Values

#### STROKING_COLOR_GRAY

    public static final String STROKING_COLOR_GRAY

See Also:
  Constant Field Values

#### STROKING_COLOR_CMYK

    public static final String STROKING_COLOR_CMYK

See Also:
  Constant Field Values

#### STROKING_COLORSPACE

    public static final String STROKING_COLORSPACE

See Also:
  Constant Field Values

#### BEGIN_MARKED_CONTENT_SEQ

    public static final String BEGIN_MARKED_CONTENT_SEQ

See Also:
  Constant Field Values

#### BEGIN_MARKED_CONTENT

    public static final String BEGIN_MARKED_CONTENT

See Also:
  Constant Field Values

#### END_MARKED_CONTENT

    public static final String END_MARKED_CONTENT

See Also:
  Constant Field Values

#### MARKED_CONTENT_POINT_WITH_PROPS

    public static final String MARKED_CONTENT_POINT_WITH_PROPS

See Also:
  Constant Field Values

#### MARKED_CONTENT_POINT

    public static final String MARKED_CONTENT_POINT

See Also:
  Constant Field Values

#### DRAW_OBJECT

    public static final String DRAW_OBJECT

See Also:
  Constant Field Values

#### CONCAT

    public static final String CONCAT

See Also:
  Constant Field Values

#### RESTORE

    public static final String RESTORE

See Also:
  Constant Field Values

#### SAVE

    public static final String SAVE

See Also:
  Constant Field Values

#### SET_FLATNESS

    public static final String SET_FLATNESS

See Also:
  Constant Field Values

#### SET_GRAPHICS_STATE_PARAMS

    public static final String SET_GRAPHICS_STATE_PARAMS

See Also:
  Constant Field Values

#### SET_LINE_CAPSTYLE

    public static final String SET_LINE_CAPSTYLE

See Also:
  Constant Field Values

#### SET_LINE_DASHPATTERN

    public static final String SET_LINE_DASHPATTERN

See Also:
  Constant Field Values

#### SET_LINE_JOINSTYLE

    public static final String SET_LINE_JOINSTYLE

See Also:
  Constant Field Values

#### SET_LINE_MITERLIMIT

    public static final String SET_LINE_MITERLIMIT

See Also:
  Constant Field Values

#### SET_LINE_WIDTH

    public static final String SET_LINE_WIDTH

See Also:
  Constant Field Values

#### SET_MATRIX

    public static final String SET_MATRIX

See Also:
  Constant Field Values

#### SET_RENDERINGINTENT

    public static final String SET_RENDERINGINTENT

See Also:
  Constant Field Values

#### APPEND_RECT

    public static final String APPEND_RECT

See Also:
  Constant Field Values

#### BEGIN_INLINE_IMAGE

    public static final String BEGIN_INLINE_IMAGE

See Also:
  Constant Field Values

#### BEGIN_INLINE_IMAGE_DATA

    public static final String BEGIN_INLINE_IMAGE_DATA

See Also:
  Constant Field Values

#### END_INLINE_IMAGE

    public static final String END_INLINE_IMAGE

See Also:
  Constant Field Values

#### CLIP_EVEN_ODD

    public static final String CLIP_EVEN_ODD

See Also:
  Constant Field Values

#### CLIP_NON_ZERO

    public static final String CLIP_NON_ZERO

See Also:
  Constant Field Values

#### CLOSE_AND_STROKE

    public static final String CLOSE_AND_STROKE

See Also:
  Constant Field Values

#### CLOSE_FILL_EVEN_ODD_AND_STROKE

    public static final String CLOSE_FILL_EVEN_ODD_AND_STROKE

See Also:
  Constant Field Values

#### CLOSE_FILL_NON_ZERO_AND_STROKE

    public static final String CLOSE_FILL_NON_ZERO_AND_STROKE

See Also:
  Constant Field Values

#### CLOSE_PATH

    public static final String CLOSE_PATH

See Also:
  Constant Field Values

#### CURVE_TO

    public static final String CURVE_TO

See Also:
  Constant Field Values

#### CURVE_TO_REPLICATE_FINAL_POINT

    public static final String CURVE_TO_REPLICATE_FINAL_POINT

See Also:
  Constant Field Values

#### CURVE_TO_REPLICATE_INITIAL_POINT

    public static final String CURVE_TO_REPLICATE_INITIAL_POINT

See Also:
  Constant Field Values

#### ENDPATH

    public static final String ENDPATH

See Also:
  Constant Field Values

#### FILL_EVEN_ODD_AND_STROKE

    public static final String FILL_EVEN_ODD_AND_STROKE

See Also:
  Constant Field Values

#### FILL_EVEN_ODD

    public static final String FILL_EVEN_ODD

See Also:
  Constant Field Values

#### FILL_NON_ZERO_AND_STROKE

    public static final String FILL_NON_ZERO_AND_STROKE

See Also:
  Constant Field Values

#### FILL_NON_ZERO

    public static final String FILL_NON_ZERO

See Also:
  Constant Field Values

#### LEGACY_FILL_NON_ZERO

    public static final String LEGACY_FILL_NON_ZERO

See Also:
  Constant Field Values

#### LINE_TO

    public static final String LINE_TO

See Also:
  Constant Field Values

#### MOVE_TO

    public static final String MOVE_TO

See Also:
  Constant Field Values

#### SHADING_FILL

    public static final String SHADING_FILL

See Also:
  Constant Field Values

#### STROKE_PATH

    public static final String STROKE_PATH

See Also:
  Constant Field Values

#### BEGIN_TEXT

    public static final String BEGIN_TEXT

See Also:
  Constant Field Values

#### END_TEXT

    public static final String END_TEXT

See Also:
  Constant Field Values

#### MOVE_TEXT

    public static final String MOVE_TEXT

See Also:
  Constant Field Values

#### MOVE_TEXT_SET_LEADING

    public static final String MOVE_TEXT_SET_LEADING

See Also:
  Constant Field Values

#### NEXT_LINE

    public static final String NEXT_LINE

See Also:
  Constant Field Values

#### SET_CHAR_SPACING

    public static final String SET_CHAR_SPACING

See Also:
  Constant Field Values

#### SET_FONT_AND_SIZE

    public static final String SET_FONT_AND_SIZE

See Also:
  Constant Field Values

#### SET_TEXT_HORIZONTAL_SCALING

    public static final String SET_TEXT_HORIZONTAL_SCALING

See Also:
  Constant Field Values

#### SET_TEXT_LEADING

    public static final String SET_TEXT_LEADING

See Also:
  Constant Field Values

#### SET_TEXT_RENDERINGMODE

    public static final String SET_TEXT_RENDERINGMODE

See Also:
  Constant Field Values

#### SET_TEXT_RISE

    public static final String SET_TEXT_RISE

See Also:
  Constant Field Values

#### SET_WORD_SPACING

    public static final String SET_WORD_SPACING

See Also:
  Constant Field Values

#### SHOW_TEXT

    public static final String SHOW_TEXT

See Also:
  Constant Field Values

#### SHOW_TEXT_ADJUSTED

    public static final String SHOW_TEXT_ADJUSTED

See Also:
  Constant Field Values

#### SHOW_TEXT_LINE

    public static final String SHOW_TEXT_LINE

See Also:
  Constant Field Values

#### SHOW_TEXT_LINE_AND_SPACE

    public static final String SHOW_TEXT_LINE_AND_SPACE

See Also:
  Constant Field Values

#### TYPE3_D0

    public static final String TYPE3_D0

See Also:
  Constant Field Values

#### TYPE3_D1

    public static final String TYPE3_D1

See Also:
  Constant Field Values

#### BEGIN_COMPATIBILITY_SECTION

    public static final String BEGIN_COMPATIBILITY_SECTION

See Also:
  Constant Field Values

#### END_COMPATIBILITY_SECTION

    public static final String END_COMPATIBILITY_SECTION

See Also:
  Constant Field Values